local _G = getfenv(0)
local db = nil

local frame = CreateFrame("Frame")
frame:SetScript("OnEvent", function(self, event, prefix, message)
	if event == "VARIABLES_LOADED" then
		_G.DBMFTLBBQDB = _G.DBMFTLBBQDB or {
			revision = 638,
			version = 4.05,
		}
		db = _G.DBMFTLBBQDB
	elseif prefix == "DBMv4-Ver" then
		if message == "Hi!" then
			local reply = ("%s\t%s\t%s\t%s"):format(db.revision, db.version, db.version, GetLocale())
			if select(2, IsInInstance()) == "pvp" then
				SendAddonMessage("DBMv4-Ver", reply, "BATTLEGROUND")
			elseif GetNumRaidMembers() > 0 then
				SendAddonMessage("DBMv4-Ver", reply, "RAID")
			else
				SendAddonMessage("DBMv4-Ver", reply, "PARTY")
			end
		else
			local revision, version, displayVersion, locale = strsplit("\t", message)
			revision, version = tonumber(revision or ""), tonumber(version or "")
			if revision and version and displayVersion then
				if revision > db.revision then db.revision = revision end
				if version > db.version then db.version = version end
			end
		end
	end
end)

frame:RegisterEvent("CHAT_MSG_ADDON")
frame:RegisterEvent("VARIABLES_LOADED")

